.radio {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        @include visually-hidden();
    }

    &__label {
        color: black;
        cursor: pointer;
        font-size: rem(14);
        line-height: rem(20);
        position: relative;
        padding-left: rem(30);
        display: block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 20px;
            height: 20px;
            display: block;
            position: absolute;
            border-radius: 50%;
            border: 1px solid var(--gray);
        }

        &:after {
            top: 5px;
            left: 5px;
            z-index: 2;
            content: '';
            width: 10px;
            height: 10px;
            display: block;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            background: var(--blue);
            border-radius: 50%;
        }
    }


    &__input:checked + .radio__label {

        &::before {
            border-color: var(--blue);
        }

        &::after {
            opacity: 1;
            visibility: visible;
        }
    }

    &__input:disabled + .radio__label {
        opacity: 0.5;
    }
}
